﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebApplication1._Default" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web, Version=12.2450.0.36, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="syncfusion" %>

<%@ Register Assembly="Syncfusion.Shared.Web, Version=12.2450.0.36, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89" 
    Namespace="Syncfusion.Web.UI.WebControls.Shared" TagPrefix="syncfusion" %>
<asp:Content ID="BodyContent" ContentPlaceHolderID="MainContent" runat="server" >
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(BeginRequestHandler);
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function BeginRequestHandler(sender, args) {
            Popup.ShowPopup();
        }
        function EndRequestHandler(sender, args) {
            Popup.HidePopup();
        }
        function select(gridobj)
        {
            var rowIndex = gridobj.Row.tableRow.rowIndex;
            alert("selected row index is: "+rowIndex)
        }
    </script>
    <table>
        <tr>
            <td>
                <asp:UpdatePanel ID="updatepanel1" runat="server" UpdateMode="Conditional">
                    <ContentTemplate>
                        <Syncfusion:GridGroupingControl ID="GridgroupingControl1" runat="server" Autoformat="Office 2007 Blue"
                   ClientSideOnRecordClick = "select(this)" ShowGroupDropArea="true" DataSourceCachingMode="ViewState" Width="800px" >
                             <TableDescriptor Name="Employees" AllowFilter="false" AllowNew="false" AllowEdit="false">                            
                            <Columns>
                                <syncfusion:GridColumnDescriptor MappingName="ID" Name="ID"></syncfusion:GridColumnDescriptor>
                                <syncfusion:GridColumnDescriptor MappingName="Name" HeaderText="Name"></syncfusion:GridColumnDescriptor>
                                <syncfusion:GridColumnDescriptor MappingName="Currency" HeaderText="Currency"></syncfusion:GridColumnDescriptor>
                                <syncfusion:GridColumnDescriptor MappingName="Dates" HeaderText="Dates"></syncfusion:GridColumnDescriptor>
                                <syncfusion:GridColumnDescriptor MappingName="telephone" HeaderText="Telephone"></syncfusion:GridColumnDescriptor>                            
                            </Columns>
                        </TableDescriptor>
                        </Syncfusion:GridGroupingControl>
                        <syncfusion:WaitingPopup DisableOnShowElementID="GridgroupingControl1" ID="WaitingPopup1" ClientObjectId="Popup" runat="server" Alignment="MiddleCentre" Height="50px"
                         Width="125px" DisabledBackgroundColor="221, 227, 238" AutoFormat="Rollers"></syncfusion:WaitingPopup>
                    </ContentTemplate>
                </asp:UpdatePanel>
            </td>
        </tr>
    </table>
</asp:Content>
